## Class TTextWriter

Description

Implements interfaces:

- ITextWriter

TTextWriter class.

TTextWriter implements a memory-based text writer. Content written by TTextWriter are stored in memory and can be obtained by calling flush().

- since: 3.0
- version: $Id: TTextWriter.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /IO/TTextWriter.php (line 25)

    TComponent
       |
       --TTextWriter

Direct descendents

Class | Description
--- | ---
TCallbackResponseWriter | TCallbackResponseWriter class.

Method Summary
string flush ()
void write (string $str)
void writeLine ([string $str = ''])
Methods
flush (line 33)

Flushes the content that has been written.

- return: the content being flushed
- access: public

string flush ()

Redefined in descendants as:

- TCallbackResponseWriter::flush() : Returns the text content wrapped within a HTML comment with boundary identifier as its comment content.

write (line 44)

Writes a string.

- access: public

void write (string $str)

- string $str: string to be written

writeLine (line 54)

Writers a string and terminates it with a newline.

- access: public
- see: TTextWriter::write()

void writeLine ([string $str = ''])

- string $str: content to be written

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:35 -0400 by phpDocumentor 1.3.0RC4